TypeError: Descriptors cannot not be created directly. Downgrade the protobuf package to 3.20.x or lower

今天启动sd-webui的时候报了这个错误,由于启动之前更新过所有扩展,所以可能是哪个扩展的依赖版本冲突了,这时候按照它的提示将此模块降级即可。

首先进cmd并激活项目的venv,不激活会安装到全局去,然后执行

pip install protobuf==3.20.2

执行完后可能会有提示依然和某个模块不兼容,但是我试了一下可以正常启动webui了



本文发布于 https://luojia.me

本站文章未经文下加注授权不得拷贝发布。

0 0 投票数
打分
订阅评论
提醒
guest
1 评论
内联反馈
查看所有评论
小谈谈
游客
19 天 前

路过一下。显示正常了(